Summary: SSL-encrypting socket wrapper.
Name: stunnel
Version: 4.00
Release: 1
Group: Applications/Internet
Copyright: GPL
URL: http://www.stunnel.org/
Packager: Hao Li <hli@haoli.org>
Source: http://www.stunnel.org/download/stunnel/src/stunnel-%{version}.tar.gz
BuildPrereq: openssl-devel >= 0.9.6g
Requires: openssl >= 0.9.6g
Buildroot: /var/tmp/%{name}-root

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/run \
	--disable-shared \
	--with-tcp-wrappers
make SUBDIRS="src doc"


%install
rm -rf $RPM_BUILD_ROOT
make SUBDIRS="src doc" DESTDIR=$RPM_BUILD_ROOT install
install -m1777 -d $RPM_BUILD_ROOT/var/run/stunnel
mkdir -p $RPM_BUILD_ROOT/etc/stunnel
touch $RPM_BUILD_ROOT/etc/stunnel/stunnel.conf


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPY* CREDITS ChangeLog FAQ INSTALL* NEWS PORTS README TODO
%doc tools/stunnel.conf-sample
%config(noreplace) /etc/stunnel/stunnel.conf
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*
/var/run/stunnel


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Oct  8 2002 Hao Li <hli@haoli.org>
-
- To generate a self signed certificate, execute the following commands:
-	cd /etc/ssl/certs
-	openssl req -new -x509 -nodes -days 365 -out server.pem \
-		-keyout server.pem
-	ln -s server.pem `openssl x509 -noout -hash < server.pem`.0
-	chmod 644 server.pem
-
- After uninstall, execute the following command to cleanup:
-	cd /etc/ssl/certs
-	rm -f `openssl x509 -noout -hash < server.pem`.0
-	rm -f server.pem

